SUBROUTINE OUTPUT
  USE MOD_MAIN
  IMPLICIT NONE
!
!  For each time step print out energies ++
!
  IF (MOD(ISTEP,1).EQ.0) THEN
    WRITE(*,*)ISTEP,MAXLOC(U),MAXVAL(U)
    WRITE(*,*)ISTEP,MAXLOC(S),MAXVAL(S)
    CALL NRG3D(EKIN,VOLUME,MASS,EETA)
    WRITE(*,*)ISTEP,EKIN,VOLUME,MASS
!   WRITE(*,*)ETA(1,13),ETA(4,13),ETA(10,13)
!   WRITE(*,*)UA(1,14),UA(4,14),UA(10,14)
!   WRITE(*,*)U(1,13,KB-2),U(2,13,KB-2),U(3,13,KB-2)
!   WRITE(*,*)U(1,14,KB-2),U(2,14,KB-2),U(3,14,KB-2)
    WRITE(43,1005)ISTEP*DT/(3600.*24.),EKIN,VOLUME,MASS,EETA
    WRITE(83,1006)ISTEP*DT/(3600.*24.),ETA(10,20),U(10,20,1),V(10,20,1)
    WRITE(84,1006)ISTEP*DT/(3600.*24),ETA(13,11),U(13,11,1),V(13,11,1)
    WRITE(85,1006)ISTEP*DT/(3600.*24),ETA(23,19),U(23,19,1),V(23,19,1)
  ENDIF
1005 FORMAT(1X,F8.4,2X,E12.5,2X,E10.4,2X,E11.5,2X,F8.4)
1006 FORMAT(1X,F8.4,2X,E11.4,2X,E10.4,2X,E10.4)

  IF (MOD(ISTEP,(6*NDIVIS)).EQ.0) THEN
!
!   Compute velocities and RHO at 2m depth and at 5m depth
!
    CALL PZLEVEL
    CALL OUTETAFEM
!
!
!  Dump data along a section from the open boundary to Arnavaagen
!
    CALL OUTSECTIONS
  ENDIF
  IF (ISTEP.EQ.1) THEN
     WRITE(86,*)'TITLE = "ARNA " '
     WRITE(86,*)'VARIABLES = "TIME" "S" "ETA" "U" "V" '
     WRITE(86,*)'ZONE T="ARNA"', 'I=',NUMSTEP
  ENDIF
  I = 24
  J = 16
  WRITE(86,*)ISTEP,S(I,J,1),ETA(I,J),U(I,J,1),V(I,J+1,1)
!
END SUBROUTINE OUTPUT 
